---
title: Slack Integration
sidebar:
  label: Slack
description: Learn how to integrate Slack with GetSphere
---

import { Steps, Aside } from "@astrojs/starlight/components";

Integrating Slack with GetSphere allows you to effortlessly track and analyze your community's activities and interactions within your Slack workspace. By connecting these platforms, you can automatically collect data on channel joins, messages, and thread replies, giving you valuable insights into your community's engagement and communication patterns. The Slack integration ensures that you stay informed about your community's activities in real-time, empowering you to make data-driven decisions and foster a thriving community. Follow the step-by-step guide below to set up this integration.

## Data

**Activities:**

- Channel joins
- Messages
- Thread replies

**Historical Import:**

- No limitations

**Not Tracked:**

- Reactions

**Refresh Period:**

- 20 minutes

## Installation

To connect Slack with GetSphere, follow these steps:

<Steps>
  1. **Connect Slack Bot**
     
     Go to the [Integration settings](https://app.getsphere.dev/integrations) and follow the steps to connect Slack.

  2. **Add Slack Bot to Channels**
     
     To fetch data from Slack, you need to add the GetSphere Slack bot to all channels. There are two options for this:
</Steps>

### Option 1: Adding the Bot Directly from the Channel
     
This is the quickest option if you do not have many channels. Go to the channel and type: `@GetSphere` and send the message. A pop-up will appear. Simply click **Add to Channel**, and the bot will be able to get all messages from this channel.

### Option 2: Adding from the Channel Settings
     
Alternatively, you can add the bot in bulk from the channel settings:

<Steps>     
     1. On the sidebar, right-click on the first channel where you would like the integration to be and click on **Open channel details**.
     
     2. Head over to the **Integrations** tab and click on **Add an App**.
     
     3. Search for "GetSphere" and click on **Add**.
     
     4. Once the app is added, if you go to the channel where you added the app, you will see a confirmation message.
     
     5. Clicking on the logo, a menu will appear with an option to add the integration to more channels.
     
     6. Now you can select the channels that you want to connect.
     
     7. Repeat steps 5 and 6 for each channel that you would like the GetSphere integration to have access to.

</Steps>

That's it! GetSphere can now fetch all messages and thread replies from your connected Slack channels. 🥳

<Aside>
  GetSphere will automatically collect data from the connected channels every 20 minutes, ensuring that your community insights are always up-to-date.
</Aside>

By integrating Slack with GetSphere, you can gain a comprehensive understanding of your community's activities, identify trends, and make informed decisions to foster engagement and growth.